︠d0f052b0-8951-415b-8a1e-e6b834cfcd49si︠
%html Met priemtest2 wordt een geheel getal x aan de priemtest van Fermat onderworpen aan de hand van de vaste getuigen 2, 3, 4, ... 12. Als het getal x priem lijkt te zijn dan is de output x, zo niet is de output 0.

︡8c5acafc-27d5-471e-b291-d066ec5a72fb︡︡{"hide":"input"}︡{"html":"Met priemtest2 wordt een geheel getal x aan de priemtest van Fermat onderworpen aan de hand van de vaste getuigen 2, 3, 4, ... 12. Als het getal x priem lijkt te zijn dan is de output x, zo niet is de output 0.","done":false}︡{"done":true}
︠0fc37654-461a-48dd-9dd4-30f7255d70e2s︠
def priemtest(x,y):
    z= mod(y^(x-1)-1,x)
    return z
def priemtest2(e):
    q=[priemtest(e,x) for x in range (2,12)]
    f=sum(q)
    if f==0:
        return e
    else:
        return 0
priemtest2(97)
︡9ba9c92b-bb0b-480e-a2a3-19af8379573b︡︡{"stdout":"97","done":false}︡{"stdout":"\n","done":false}︡{"done":true}
︠d535999c-a95a-4974-b7e0-82c306b64596i︠
%html Berekening van de rij priemgetallen tussen de gehele getallen b en c.
︡b25c0ea9-0542-4071-af36-fe47cd2e46cc︡{"html":"Berekening van de rij priemgetallen tussen de gehele getallen b en c."}︡
︠ecafc333-e15d-4fca-b262-29c5c914d3b9s︠
def priemrij(b,c):
    r=[priemtest2(x) for x in range (b,c) if priemtest2(x) != 0]
    return r
priemrij(100,200)
︡7f40e419-a1ae-482c-964b-a65006667344︡︡{"stdout":"[101, 103, 107, 109, 113, 127, 131, 135, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199]","done":false}︡{"stdout":"\n","done":false}︡{"done":true}
︠2097298c-f45c-4f90-86a3-95dfc3fffb8di︠
%html Elk geheel getal g dat relatief priem is met x kan als getuige opgeroepen worden.
%html De getuigenrij van x beperkt zich tot alle getallen kleiner dan x en relatief priem met x.
︡3bdebed4-92bd-45e4-8d0a-2f55487c465c︡{"html":"Elk geheel getal g dat relatief priem is met x kan als getuige opgeroepen worden."}︡{"html":"De getuigenrij van x beperkt zich tot alle getallen kleiner dan x en relatief priem met x."}︡
︠63053beb-dc01-4db4-a63e-fca7d702200es︠
def getuigen(x,g):
    if gcd(x,g)==1:
         return g
    else:
        return 0
getuigen(35,21)
︡5fb681d8-8b9a-4a0d-b390-a171ac69a862︡︡{"stdout":"0\n","done":false}︡{"done":true}
︠5ed991a8-d8df-4c61-acd2-aabb2702a5ces︠
def getuigenrij(x):
    r=[getuigen(x,g) for g in range (1,x) if getuigen(x,g) != 0]
    return r
getuigenrij(35)
getuigenrij (24)
︡dcc900fb-17ad-4d86-8ff9-ef248afc1775︡︡{"stdout":"[1, 2, 3, 4, 6, 8, 9, 11, 12, 13, 16, 17, 18, 19, 22, 23, 24, 26, 27, 29, 31, 32, 33, 34]\n","done":false}︡{"stdout":"[1, 5, 7, 11, 13, 17, 19, 23]\n","done":false}︡{"done":true}
︠f8904de6-6b76-4002-9a6a-ac2baa75e1c2i︠
%html Priemtest3 voert een Fermat-priemtest uit op een getal aan de hand van de hierboven gedefinieerde getuigenrij.
%html Indien het opgegeven getal x een priemgetal lijkt te zijn, is de output 0. In het andere geval is de output x.
︡9c39946f-27ea-4330-99d1-18d01c8b1353︡{"html":"Priemtest3 voert een Fermat-priemtest uit op een getal aan de hand van de hierboven gedefinieerde getuigenrij."}︡{"html":"Indien het opgegeven getal x een priemgetal lijkt te zijn, is de output 0. In het andere geval is de output x."}︡
︠7745c1a1-6a85-4db2-85f3-d32ebda4e003s︠
def priemtest3(x):
    r=[priemtest(x,a) for a in getuigenrij(x)]
    f=max(r)
    return f

priemtest3 (529)
priemtest3 (143)
priemtest3 (97)
︡6e947967-dedd-4a35-aa0b-f4409fb5eef7︡︡{"stdout":"506\n","done":false}︡{"stdout":"132\n","done":false}︡{"stdout":"0\n","done":false}︡{"done":true}
︠40910618-d8b6-4454-94e3-2d29865260e6i︠
%html Een carmichaelgetal is een getal dat niet priem is en waarvoor alle getuigen uit de getuigenrij vals beweren dat dit getal wel priem is.
%html Met de instructie carmichaelrij kunnen alle carmichaelgetallen tussen bepaalde grenzen uitgefilterd worden.
︡d1f959c7-aa7a-485a-b025-8bef1613832a︡{"html":"Een carmichaelgetal is een getal dat niet priem is en waarvoor alle getuigen uit de getuigenrij vals beweren dat dit getal wel priem is."}︡{"html":"Met de instructie carmichaelrij kunnen alle carmichaelgetallen tussen bepaalde grenzen uitgefilterd worden."}︡
︠d652a609-7d9a-4df3-963f-7246a487bd05s︠
def carmichael(x):
    if not is_prime(x) and priemtest3(x)==0:
        return x
    else:
        return 0
carmichael(561)
carmichael (529)
︡92566c32-c47e-49b9-9b18-2a081800a1f3︡︡{"stdout":"561\n","done":false}︡{"stdout":"0\n","done":false}︡{"done":true}
︠26688105-f1b2-458d-91e0-404cf5e8f1e2︠
def carmichaelrij(b,c):
    r=[carmichael(x) for x in range (b,c) if carmichael(x)!=0]
    return r
carmichaelrij(550,600)
︡d7f308cd-c2b5-48ad-9c50-60eb3433c54d︡{"stdout":"[561]"}︡{"stdout":"\n"}︡
︠566a29e9-d302-4fb3-b3a1-ea64e5536631︠
carmichaelrij(2,3000)
︡103458b6-46a0-4900-85fd-d10f10b3701b︡{"stdout":"[561, 1105, 1729, 2465, 2821]"}︡{"stdout":"\n"}︡
︠05a6de3a-75b9-4636-a112-507fe4520f82︠
carmichaelrij(3000,6000)
︡89d886c4-a9df-4008-98e0-7c9b7d858e42︡{"stdout":"[]"}︡{"stdout":"\n"}︡
︠102c2068-b3f9-4c35-86d6-b3374256768c︠
carmichaelrij(6000,10000)
︡ce0bb002-53b9-44cd-b428-9f13e8ab833d︡{"stdout":"[6601, 8911]"}︡{"stdout":"\n"}︡
︠32a68a0f-cc76-445e-b83b-a650122a8aadi︠
%html
Het aantal getuigen dat opgeroepen kan worden voor de priemtest van Fermat voor x is het aantal gehele getallen kleiner dan x en relatief priem met x m.a.w. de totientwaarde van x of de euler_phi-waarde van x.
︡c94e9b54-ecf9-454f-8eaa-3eebefeb501f︡{"html":"Het aantal getuigen dat opgeroepen kan worden voor de priemtest van Fermat voor x is het aantal gehele getallen kleiner dan x en relatief priem met x m.a.w. de totientwaarde van x of de euler_phi-waarde van x.\n"}︡
︠c41824e2-07ee-4dba-a857-d89111c23178︠
def aantalgetuigen(x):
    f=len(getuigenrij(x))
    return f
aantalgetuigen(35)
aantalgetuigen(703)

def aantalgetuigen2(x):
    r=euler_phi(x)
    return r
aantalgetuigen2(35)

︡1bce2f04-3519-46b5-9a9f-28d7eb165bb6︡{"stdout":"24\n"}︡{"stdout":"648\n"}︡{"stdout":"24\n"}︡
︠032c12f7-76e8-4727-91d5-a0bd2a593645︠
def aantalvalsegetuigen(x):
    r=[1 for a in getuigenrij(x) if priemtest(x,a)==0]
    return sum(r)
aantalvalsegetuigen(703)
︡e1583759-ee7c-4406-8b79-dce6de0e5354︡{"stdout":"324\n"}︡
︠ed4befe8-1832-4e7b-b2b2-670eb927418ei︠
%html
De halfcarmichaelgetallen zijn samengestelde gehele getallen waarvoor de helft van het aantal opgeroepen getuigen een valse priemgetuigenis aflegt voor de priemtest van Fermat. Dit betekent dat er een kans op twee is dat een geheel getal, relatief priem met x, ten onrechte beweert dat x priem is wanneer de congruentie van Fermat wordt uitgevoerd.
︡2f066611-cf3d-4276-8025-36fcae86f23a︡{"html":"De halfcarmichaelgetallen zijn samengestelde gehele getallen waarvoor de helft van het aantal opgeroepen getuigen een valse priemgetuigenis aflegt voor de priemtest van Fermat. Dit betekent dat er een kans op twee is dat een geheel getal, relatief priem met x, ten onrechte beweert dat x priem is wanneer de congruentie van Fermat wordt uitgevoerd.\n"}︡
︠b865413e-7eff-4db2-a390-2453c0cecfac︠
def halfcarm(x):
    if 2*(aantalvalsegetuigen(x))==(aantalgetuigen(x)) and not is_prime(x):
        return x
    else:
        return 0
halfcarm(703)
halfcarm(1891)
︡1fe1ee36-ad52-4a34-823a-1739aaec48e4︡{"stdout":"703\n"}︡{"stdout":"1891\n"}︡
︠5db9809d-ad52-4cc0-9e93-2cc7e58261ed︠
def halfcarmrij(b,c):
    r=[halfcarm(x) for x in range (b,c) if halfcarm(x)!=0]
    return r
halfcarmrij(2,1000)
halfcarmrij(1000,1500)
︡6bb3bc56-0c23-4c8b-9e11-662457f82af7︡{"stdout":"[4, 6, 15, 91, 703]"}︡{"stdout":"\n"}︡{"stdout":"[]"}︡{"stdout":"\n"}︡
︠92204d24-44d8-4c98-8b75-b6e3872876e4︠
halfcarmrij(1500,3000)
︡3be9f17d-5d4b-4ce1-9421-d709c655ee3c︡{"stdout":"[1891, 2701]"}︡{"stdout":"\n"}︡
︠d4bc335f-d8bf-42e9-bc4c-365ce77a7c67︠
halfcarmrij(3000,6000)
︡07303705-def8-42b4-9abb-36ee7fc68ccb︡{"stdout":"[]"}︡{"stdout":"\n"}︡
︠0884c79e-2978-42d4-b25d-75b2a5237c2e︠
halfcarmrij(6000,7000)
︡f995fffc-72ea-4b65-add5-66b109a355ec︡{"stdout":"[]"}︡{"stdout":"\n"}︡
︠4c39aa83-a066-4823-919f-6cc54b12d839︠
halfcarmrij(7000,8000)
︡ed785dd0-71b8-4868-9a11-da4dd8ef304b︡{"stdout":"[]"}︡{"stdout":"\n"}︡
︠45a74c94-1c8b-4d96-acf5-7d254b552514︠

︡52cd1ecf-44b6-4b21-97b4-6def106e6ef9︡
︠510db8cb-fb69-4c7e-83e5-95fcd2136a2e︠

︡d18a6b9a-ab86-45a6-9310-5e31de791422︡
︠f28f0c70-2d60-4d2c-b362-425e913440bb︠

︡72b41128-97ef-4393-a7bc-1260645ef28a︡
︠623a17a0-5a93-4ac6-a298-266fc1c8b84a︠

︡84d53209-ba4c-40b2-84bb-b33a338db988︡
︠6890ab02-4c69-48c0-9e19-76be37509d50︠

︡f19e83fb-6582-4b7c-bfab-d4512ac5029d︡
︠289d8e1c-b7ab-4415-ad6f-1bd95b948a08︠

︡68c5db97-6f1a-453c-938c-34df22ea9473︡
︠4cc32098-6e68-43db-b193-43cd62975f98︠

︡833fca86-908e-45c7-85f9-29ab0df21cb2︡
︠dbe9ab81-f6ba-4f3f-8f02-77a5e38c45ca︠

︡64502784-c790-4aa4-b967-87f8f699d585︡
︠c88ed6b1-84f1-46e5-99c2-b5bdbf6a7a36︠

︡0fe457c9-25b3-41b0-a64a-534d39348c23︡
︠d32f6875-c523-4ce4-9e03-8ce751b9129b︠

︡0c80bcd8-0158-436e-9bc3-16c43cce7b7a︡
︠78a92852-76e3-477e-bdff-1faf0b5b6fc8︠

︡78b1df2a-c02c-4b64-bbbd-bd62244f43f0︡
︠fec94f64-c6c4-421e-9347-fc2461eea798︠
[n+10 for n in range (10000+10) if sum(q) == [mod((x+3)^(n+9)-1,n+10) for x in range (10)]]
︡5956f5ec-b191-48c6-a9ca-bbd5938d858c︡{"stdout":"[13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127, 131, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199, 211, 223, 227, 229, 233, 239, 241, 251, 257, 263, 269, 271, 277, 281, 283, 293, 307, 311, 313, 317, 331, 337, 347, 349, 353, 359, 367, 373, 379, 383, 389, 397, 401, 409, 419, 421, 431, 433, 439, 443, 449, 457, 461, 463, 467, 479, 487, 491, 499, 503, 509, 521, 523, 541, 547, 557, 563, 569, 571, 577, 587, 593, 599, 601, 607, 613, 617, 619, 631, 641, 643, 647, 653, 659, 661, 673, 677, 683, 691, 701, 709, 719, 727, 733, 739, 743, 751, 757, 761, 769, 773, 787, 797, 809, 811, 821, 823, 827, 829, 839, 853, 857, 859, 863, 877, 881, 883, 887, 907, 911, 919, 929, 937, 941, 947, 953, 967, 971, 977, 983, 991, 997, 1009, 1013, 1019, 1021, 1031, 1033, 1039, 1049, 1051, 1061, 1063, 1069, 1087, 1091, 1093, 1097, 1103, 1109, 1117, 1123, 1129, 1151, 1153, 1163, 1171, 1181, 1187, 1193, 1201, 1213, 1217, 1223, 1229, 1231, 1237, 1249, 1259, 1277, 1279, 1283, 1289, 1291, 1297, 1301, 1303, 1307, 1319, 1321, 1327, 1361, 1367, 1373, 1381, 1399, 1409, 1423, 1427, 1429, 1433, 1439, 1447, 1451, 1453, 1459, 1471, 1481, 1483, 1487, 1489, 1493, 1499, 1511, 1523, 1531, 1543, 1549, 1553, 1559, 1567, 1571, 1579, 1583, 1597, 1601, 1607, 1609, 1613, 1619, 1621, 1627, 1637, 1657, 1663, 1667, 1669, 1693, 1697, 1699, 1709, 1721, 1723, 1733, 1741, 1747, 1753, 1759, 1777, 1783, 1787, 1789, 1801, 1811, 1823, 1831, 1847, 1861, 1867, 1871, 1873, 1877, 1879, 1889, 1901, 1907, 1913, 1931, 1933, 1949, 1951, 1973, 1979, 1987, 1993, 1997, 1999, 2003, 2011, 2017, 2027, 2029, 2039, 2053, 2063, 2069, 2081, 2083, 2087, 2089, 2099, 2111, 2113, 2129, 2131, 2137, 2141, 2143, 2153, 2161, 2179, 2203, 2207, 2213, 2221, 2237, 2239, 2243, 2251, 2267, 2269, 2273, 2281, 2287, 2293, 2297, 2309, 2311, 2333, 2339, 2341, 2347, 2351, 2357, 2371, 2377, 2381, 2383, 2389, 2393, 2399, 2411, 2417, 2423, 2437, 2441, 2447, 2459, 2467, 2473, 2477, 2503, 2521, 2531, 2539, 2543, 2549, 2551, 2557, 2579, 2591, 2593, 2609, 2617, 2621, 2633, 2647, 2657, 2659, 2663, 2671, 2677, 2683, 2687, 2689, 2693, 2699, 2707, 2711, 2713, 2719, 2729, 2731, 2741, 2749, 2753, 2767, 2777, 2789, 2791, 2797, 2801, 2803, 2819, 2833, 2837, 2843, 2851, 2857, 2861, 2879, 2887, 2897, 2903, 2909, 2917, 2927, 2939, 2953, 2957, 2963, 2969, 2971, 2999, 3001, 3011, 3019, 3023, 3037, 3041, 3049, 3061, 3067, 3079, 3083, 3089, 3109, 3119, 3121, 3137, 3163, 3167, 3169, 3181, 3187, 3191, 3203, 3209, 3217, 3221, 3229, 3251, 3253, 3257, 3259, 3271, 3299, 3301, 3307, 3313, 3319, 3323, 3329, 3331, 3343, 3347, 3359, 3361, 3371, 3373, 3389, 3391, 3407, 3413, 3433, 3449, 3457, 3461, 3463, 3467, 3469, 3491, 3499, 3511, 3517, 3527, 3529, 3533, 3539, 3541, 3547, 3557, 3559, 3571, 3581, 3583, 3593, 3607, 3613, 3617, 3623, 3631, 3637, 3643, 3659, 3671, 3673, 3677, 3691, 3697, 3701, 3709, 3719, 3727, 3733, 3739, 3761, 3767, 3769, 3779, 3793, 3797, 3803, 3821, 3823, 3833, 3847, 3851, 3853, 3863, 3877, 3881, 3889, 3907, 3911, 3917, 3919, 3923, 3929, 3931, 3943, 3947, 3967, 3989, 4001, 4003, 4007, 4013, 4019, 4021, 4027, 4049, 4051, 4057, 4073, 4079, 4091, 4093, 4099, 4111, 4127, 4129, 4133, 4139, 4153, 4157, 4159, 4177, 4201, 4211, 4217, 4219, 4229, 4231, 4241, 4243, 4253, 4259, 4261, 4271, 4273, 4283, 4289, 4297, 4327, 4337, 4339, 4349, 4357, 4363, 4373, 4391, 4397, 4409, 4421, 4423, 4441, 4447, 4451, 4457, 4463, 4481, 4483, 4493, 4507, 4513, 4517, 4519, 4523, 4547, 4549, 4561, 4567, 4583, 4591, 4597, 4603, 4621, 4637, 4639, 4643, 4649, 4651, 4657, 4663, 4673, 4679, 4691, 4703, 4721, 4723, 4729, 4733, 4751, 4759, 4783, 4787, 4789, 4793, 4799, 4801, 4813, 4817, 4831, 4861, 4871, 4877, 4889, 4903, 4909, 4919, 4931, 4933, 4937, 4943, 4951, 4957, 4967, 4969, 4973, 4987, 4993, 4999, 5003, 5009, 5011, 5021, 5023, 5039, 5051, 5059, 5077, 5081, 5087, 5099, 5101, 5107, 5113, 5119, 5147, 5153, 5167, 5171, 5179, 5189, 5197, 5209, 5227, 5231, 5233, 5237, 5261, 5273, 5279, 5281, 5297, 5303, 5309, 5323, 5333, 5347, 5351, 5381, 5387, 5393, 5399, 5407, 5413, 5417, 5419, 5431, 5437, 5441, 5443, 5449, 5471, 5477, 5479, 5483, 5501, 5503, 5507, 5519, 5521, 5527, 5531, 5557, 5563, 5569, 5573, 5581, 5591, 5623, 5639, 5641, 5647, 5651, 5653, 5657, 5659, 5669, 5683, 5689, 5693, 5701, 5711, 5717, 5737, 5741, 5743, 5749, 5779, 5783, 5791, 5801, 5807, 5813, 5821, 5827, 5839, 5843, 5849, 5851, 5857, 5861, 5867, 5869, 5879, 5881, 5897, 5903, 5923, 5927, 5939, 5953, 5981, 5987, 6007, 6011, 6029, 6037, 6043, 6047, 6053, 6067, 6073, 6079, 6089, 6091, 6101, 6113, 6121, 6131, 6133, 6143, 6151, 6163, 6173, 6197, 6199, 6203, 6211, 6217, 6221, 6229, 6247, 6257, 6263, 6269, 6271, 6277, 6287, 6299, 6301, 6311, 6317, 6323, 6329, 6337, 6343, 6353, 6359, 6361, 6367, 6373, 6379, 6389, 6397, 6421, 6427, 6449, 6451, 6469, 6473, 6481, 6491, 6521, 6529, 6547, 6551, 6553, 6563, 6569, 6571, 6577, 6581, 6599, 6607, 6619, 6637, 6653, 6659, 6661, 6673, 6679, 6689, 6691, 6701, 6703, 6709, 6719, 6733, 6737, 6761, 6763, 6779, 6781, 6791, 6793, 6803, 6823, 6827, 6829, 6833, 6841, 6857, 6863, 6869, 6871, 6883, 6899, 6907, 6911, 6917, 6947, 6949, 6959, 6961, 6967, 6971, 6977, 6983, 6991, 6997, 7001, 7013, 7019, 7027, 7039, 7043, 7057, 7069, 7079, 7103, 7109, 7121, 7127, 7129, 7151, 7159, 7177, 7187, 7193, 7207, 7211, 7213, 7219, 7229, 7237, 7243, 7247, 7253, 7283, 7297, 7307, 7309, 7321, 7331, 7333, 7349, 7351, 7369, 7393, 7411, 7417, 7433, 7451, 7457, 7459, 7477, 7481, 7487, 7489, 7499, 7507, 7517, 7523, 7529, 7537, 7541, 7547, 7549, 7559, 7561, 7573, 7577, 7583, 7589, 7591, 7603, 7607, 7621, 7639, 7643, 7649, 7669, 7673, 7681, 7687, 7691, 7699, 7703, 7717, 7723, 7727, 7741, 7753, 7757, 7759, 7789, 7793, 7817, 7823, 7829, 7841, 7853, 7867, 7873, 7877, 7879, 7883, 7901, 7907, 7919, 7927, 7933, 7937, 7949, 7951, 7963, 7993, 8009, 8011, 8017, 8039, 8053, 8059, 8069, 8081, 8087, 8089, 8093, 8101, 8111, 8117, 8123, 8147, 8161, 8167, 8171, 8179, 8191, 8209, 8219, 8221, 8231, 8233, 8237, 8243, 8263, 8269, 8273, 8287, 8291, 8293, 8297, 8311, 8317, 8329, 8353, 8363, 8369, 8377, 8387, 8389, 8419, 8423, 8429, 8431, 8443, 8447, 8461, 8467, 8501, 8513, 8521, 8527, 8537, 8539, 8543, 8563, 8573, 8581, 8597, 8599, 8609, 8623, 8627, 8629, 8641, 8647, 8663, 8669, 8677, 8681, 8689, 8693, 8699, 8707, 8713, 8719, 8731, 8737, 8741, 8747, 8753, 8761, 8779, 8783, 8803, 8807, 8819, 8821, 8831, 8837, 8839, 8849, 8861, 8863, 8867, 8887, 8893, 8923, 8929, 8933, 8941, 8951, 8963, 8969, 8971, 8999, 9001, 9007, 9011, 9013, 9029, 9041, 9043, 9049, 9059, 9067, 9091, 9103, 9109, 9127, 9133, 9137, 9151, 9157, 9161, 9173, 9181, 9187, 9199, 9203, 9209, 9221, 9227, 9239, 9241, 9257, 9277, 9281, 9283, 9293, 9311, 9319, 9323, 9337, 9341, 9343, 9349, 9371, 9377, 9391, 9397, 9403, 9413, 9419, 9421, 9431, 9433, 9437, 9439, 9461, 9463, 9467, 9473, 9479, 9491, 9497, 9511, 9521, 9533, 9539, 9547, 9551, 9587, 9601, 9613, 9619, 9623, 9629, 9631, 9643, 9649, 9661, 9677, 9679, 9689, 9697, 9719, 9721, 9733, 9739, 9743, 9749, 9767, 9769, 9781, 9787, 9791, 9803, 9811, 9817, 9829, 9833, 9839, 9851, 9857, 9859, 9871, 9883, 9887, 9901, 9907, 9923, 9929, 9931, 9941, 9949, 9967, 9973, 10007, 10009]"}︡{"stdout":"\n"}︡
︠c1d08551-b378-4013-982d-e7910dc65fe5︠
[n+10 for n in range (5000-10) if [0,0,0,0,0,0,0,0,0,0] == [mod((x+3)^(n+9)-1,n+10) for x in range (10)]]
︡85251378-7484-496b-9c7a-6cb30232ebca︡{"stdout":"[13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127, 131, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199, 211, 223, 227, 229, 233, 239, 241, 251, 257, 263, 269, 271, 277, 281, 283, 293, 307, 311, 313, 317, 331, 337, 347, 349, 353, 359, 367, 373, 379, 383, 389, 397, 401, 409, 419, 421, 431, 433, 439, 443, 449, 457, 461, 463, 467, 479, 487, 491, 499, 503, 509, 521, 523, 541, 547, 557, 563, 569, 571, 577, 587, 593, 599, 601, 607, 613, 617, 619, 631, 641, 643, 647, 653, 659, 661, 673, 677, 683, 691, 701, 709, 719, 727, 733, 739, 743, 751, 757, 761, 769, 773, 787, 797, 809, 811, 821, 823, 827, 829, 839, 853, 857, 859, 863, 877, 881, 883, 887, 907, 911, 919, 929, 937, 941, 947, 953, 967, 971, 977, 983, 991, 997, 1009, 1013, 1019, 1021, 1031, 1033, 1039, 1049, 1051, 1061, 1063, 1069, 1087, 1091, 1093, 1097, 1103, 1109, 1117, 1123, 1129, 1151, 1153, 1163, 1171, 1181, 1187, 1193, 1201, 1213, 1217, 1223, 1229, 1231, 1237, 1249, 1259, 1277, 1279, 1283, 1289, 1291, 1297, 1301, 1303, 1307, 1319, 1321, 1327, 1361, 1367, 1373, 1381, 1399, 1409, 1423, 1427, 1429, 1433, 1439, 1447, 1451, 1453, 1459, 1471, 1481, 1483, 1487, 1489, 1493, 1499, 1511, 1523, 1531, 1543, 1549, 1553, 1559, 1567, 1571, 1579, 1583, 1597, 1601, 1607, 1609, 1613, 1619, 1621, 1627, 1637, 1657, 1663, 1667, 1669, 1693, 1697, 1699, 1709, 1721, 1723, 1733, 1741, 1747, 1753, 1759, 1777, 1783, 1787, 1789, 1801, 1811, 1823, 1831, 1847, 1861, 1867, 1871, 1873, 1877, 1879, 1889, 1901, 1907, 1913, 1931, 1933, 1949, 1951, 1973, 1979, 1987, 1993, 1997, 1999, 2003, 2011, 2017, 2027, 2029, 2039, 2053, 2063, 2069, 2081, 2083, 2087, 2089, 2099, 2111, 2113, 2129, 2131, 2137, 2141, 2143, 2153, 2161, 2179, 2203, 2207, 2213, 2221, 2237, 2239, 2243, 2251, 2267, 2269, 2273, 2281, 2287, 2293, 2297, 2309, 2311, 2333, 2339, 2341, 2347, 2351, 2357, 2371, 2377, 2381, 2383, 2389, 2393, 2399, 2411, 2417, 2423, 2437, 2441, 2447, 2459, 2467, 2473, 2477, 2503, 2521, 2531, 2539, 2543, 2549, 2551, 2557, 2579, 2591, 2593, 2609, 2617, 2621, 2633, 2647, 2657, 2659, 2663, 2671, 2677, 2683, 2687, 2689, 2693, 2699, 2707, 2711, 2713, 2719, 2729, 2731, 2741, 2749, 2753, 2767, 2777, 2789, 2791, 2797, 2801, 2803, 2819, 2833, 2837, 2843, 2851, 2857, 2861, 2879, 2887, 2897, 2903, 2909, 2917, 2927, 2939, 2953, 2957, 2963, 2969, 2971, 2999, 3001, 3011, 3019, 3023, 3037, 3041, 3049, 3061, 3067, 3079, 3083, 3089, 3109, 3119, 3121, 3137, 3163, 3167, 3169, 3181, 3187, 3191, 3203, 3209, 3217, 3221, 3229, 3251, 3253, 3257, 3259, 3271, 3299, 3301, 3307, 3313, 3319, 3323, 3329, 3331, 3343, 3347, 3359, 3361, 3371, 3373, 3389, 3391, 3407, 3413, 3433, 3449, 3457, 3461, 3463, 3467, 3469, 3491, 3499, 3511, 3517, 3527, 3529, 3533, 3539, 3541, 3547, 3557, 3559, 3571, 3581, 3583, 3593, 3607, 3613, 3617, 3623, 3631, 3637, 3643, 3659, 3671, 3673, 3677, 3691, 3697, 3701, 3709, 3719, 3727, 3733, 3739, 3761, 3767, 3769, 3779, 3793, 3797, 3803, 3821, 3823, 3833, 3847, 3851, 3853, 3863, 3877, 3881, 3889, 3907, 3911, 3917, 3919, 3923, 3929, 3931, 3943, 3947, 3967, 3989, 4001, 4003, 4007, 4013, 4019, 4021, 4027, 4049, 4051, 4057, 4073, 4079, 4091, 4093, 4099, 4111, 4127, 4129, 4133, 4139, 4153, 4157, 4159, 4177, 4201, 4211, 4217, 4219, 4229, 4231, 4241, 4243, 4253, 4259, 4261, 4271, 4273, 4283, 4289, 4297, 4327, 4337, 4339, 4349, 4357, 4363, 4373, 4391, 4397, 4409, 4421, 4423, 4441, 4447, 4451, 4457, 4463, 4481, 4483, 4493, 4507, 4513, 4517, 4519, 4523, 4547, 4549, 4561, 4567, 4583, 4591, 4597, 4603, 4621, 4637, 4639, 4643, 4649, 4651, 4657, 4663, 4673, 4679, 4691, 4703, 4721, 4723, 4729, 4733, 4751, 4759, 4783, 4787, 4789, 4793, 4799, 4801, 4813, 4817, 4831, 4861, 4871, 4877, 4889, 4903, 4909, 4919, 4931, 4933, 4937, 4943, 4951, 4957, 4967, 4969, 4973, 4987, 4993, 4999]"}︡{"stdout":"\n"}︡
︠c3aa0944-b15e-4fcc-9caa-4b654467db26︠

def priemrij(b,c):
    r=[priemtest2(x) for x in range (b,c) if priemtest2(x)!=0]
    return r
priemrij(100,200)
︡5ca5b195-2c89-4bde-8750-e13cbd71bf40︡{"stderr":"Error in lines 4-4\nTraceback (most recent call last):\n  File \"/projects/9f83a228-079b-408f-9ed0-f4d6c1937f46/.sagemathcloud/sage_server.py\", line 875, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\n  File \"\", line 2, in priemrij\nNameError: global name 'priemtest2' is not defined\n"}︡
︠2d89436f-56cf-4628-b904-96ace1c10db9i︠
%html
ok











